Bug 1268993 - [abrt] gobby: copy_record_version(): gobby killed by SIGSEGV
Summary: [abrt] gobby: copy_record_version(): gobby killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gobby
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dad7b50ef6bc415a48dc48ef7ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-05 20:49 UTC by Kevin Fenzi
Modified: 2016-09-20 02:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-06 03:57:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (136.44 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: cgroup (200 bytes, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: core_backtrace (14.08 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: dso_list (11.79 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: environ (1.96 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: maps (62.53 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: mountinfo (3.67 KB, text/plain)
2015-10-05 20:49 UTC, Kevin Fenzi
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-05 20:50 UTC, Kevin Fenzi
no flags Details
File: open_fds (1.16 KB, text/plain)
2015-10-05 20:50 UTC, Kevin Fenzi
no flags Details
File: proc_pid_status (1.15 KB, text/plain)
2015-10-05 20:50 UTC, Kevin Fenzi
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-10-05 20:50 UTC, Kevin Fenzi
no flags Details

Description Kevin Fenzi 2015-10-05 20:49:47 UTC
Description of problem:
Trying to connect to fedora's sobby server.

Version-Release number of selected component:
gobby-0.4.13-8.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gobby
crash_function: copy_record_version
executable:     /usr/bin/gobby
global_pid:     3445
kernel:         4.3.0-0.rc3.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 copy_record_version at gnutls_record.c:382
 #1 _gnutls_send_tlen_int at gnutls_record.c:508
 #2 _gnutls_send_int at ./gnutls_record.h:43
 #3 gnutls_alert_send at gnutls_alert.c:167
 #4 gnutls_bye at gnutls_record.c:309
 #5 net6::tcp_encrypted_socket_base::~tcp_encrypted_socket_base at src/encrypt.cpp:212
 #6 net6::tcp_encrypted_socket_client::~tcp_encrypted_socket_client at src/encrypt.cpp:321
 #7 std::auto_ptr<net6::tcp_client_socket>::reset at /usr/include/c++/5.1.1/backward/auto_ptr.h:244
 #8 net6::connection_base::on_close at src/connection.cpp:571
 #9 net6::connection_base::on_sock_event at src/connection.cpp:253

Comment 1 Kevin Fenzi 2015-10-05 20:49:49 UTC
Created attachment 1080065 [details]
File: backtrace

Comment 2 Kevin Fenzi 2015-10-05 20:49:50 UTC
Created attachment 1080066 [details]
File: cgroup

Comment 3 Kevin Fenzi 2015-10-05 20:49:51 UTC
Created attachment 1080067 [details]
File: core_backtrace

Comment 4 Kevin Fenzi 2015-10-05 20:49:53 UTC
Created attachment 1080068 [details]
File: dso_list

Comment 5 Kevin Fenzi 2015-10-05 20:49:54 UTC
Created attachment 1080069 [details]
File: environ

Comment 6 Kevin Fenzi 2015-10-05 20:49:55 UTC
Created attachment 1080070 [details]
File: exploitable

Comment 7 Kevin Fenzi 2015-10-05 20:49:57 UTC
Created attachment 1080071 [details]
File: limits

Comment 8 Kevin Fenzi 2015-10-05 20:49:58 UTC
Created attachment 1080072 [details]
File: maps

Comment 9 Kevin Fenzi 2015-10-05 20:49:59 UTC
Created attachment 1080073 [details]
File: mountinfo

Comment 10 Kevin Fenzi 2015-10-05 20:50:00 UTC
Created attachment 1080074 [details]
File: namespaces

Comment 11 Kevin Fenzi 2015-10-05 20:50:01 UTC
Created attachment 1080075 [details]
File: open_fds

Comment 12 Kevin Fenzi 2015-10-05 20:50:02 UTC
Created attachment 1080076 [details]
File: proc_pid_status

Comment 13 Kevin Fenzi 2015-10-05 20:50:03 UTC
Created attachment 1080077 [details]
File: var_log_messages

Comment 14 Kevin Fenzi 2015-10-06 03:57:45 UTC
Fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=689848

(which also needed a fixed net6 package)


Note You need to log in before you can comment on or make changes to this bug.